#include "Arduino.h"
#include "Flasher.h"

Flasher::Flasher(int pin, long on, long off)
  {
    
    enabled = false;
    ledPin = pin;
    pinMode(ledPin, OUTPUT);
 
    OnTime = on;
    OffTime = off;
 
    ledState = LOW;
    previousMillis = 0;
  }
 
void Flasher::Update()
  {
    if (!enabled) return;
    // 塞  ⠫   ᬥ ﭨ ᢥ⮤
 
    unsigned long currentMillis = millis(); // ⥪饥 ६  ᥪ㭤
 
    if((ledState == HIGH) && (currentMillis - previousMillis >= OnTime))
    {
      ledState = LOW; // 몫砥
      previousMillis = currentMillis; //   ६
      digitalWrite(ledPin, ledState); // ॠ㥬  ﭨ
    }
    else if ((ledState == LOW) && (currentMillis - previousMillis >= OffTime))
    {
      ledState = HIGH; // 몫砥
      previousMillis = currentMillis ; //   ६
      digitalWrite(ledPin, ledState); // ॠ㥬  ﭨ
    }
  }
void Flasher::Start(){
    enabled = true;  
  }
void Flasher::Stop(){
    enabled = false;  
   digitalWrite(ledPin, LOW);
  }
