#include "Flasher.h"

const int  led1Pin = 3; 
const long led1_period_on = 100;
const long led1_period_off = 400;

const int  led2Pin = 4; 
const long led2_period_on = 350;
const long led2_period_off = 350;

const int  led3Pin = 5; 
const long led3_period_on = 400;
const long led3_period_off = 100;

const int StartPin = 12;

//Define objects
Flasher led1(led1Pin, led1_period_on, led1_period_off);
Flasher led2(led2Pin, led2_period_on, led2_period_off);
Flasher led3(led3Pin, led3_period_on, led3_period_off);
 
void setup() 
{
 //Do some setup here 
 pinMode(StartPin, INPUT_PULLUP);
} 
 
 
void loop() 
{ 
  //Process with leds
  led1.Update();
  led2.Update();
  led3.Update();
  
  if(digitalRead(StartPin)==LOW) {
    led1.Start();
    led2.Start();
    led3.Start();
    } else
    {
      led1.Stop();
      led2.Stop();
      led3.Stop();    
    }
  
}